Bug 1133854 - disable v1 API as it's not supported
Summary: disable v1 API as it's not supported
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: sat61-release-notes
TreeView+ depends on / blocked
 
Reported: 2014-08-26 09:56 UTC by Tomas Lestach
Modified: 2017-01-06 19:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 19:16:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1241992 None None None Never

Internal Links: 1241992

Description Tomas Lestach 2014-08-26 09:56:34 UTC
Description of problem:
As v1 API isn't supported, remove it from Sat6 including the API documentation

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140823.0-Satellite-x86_64


It makes no sense to ship something within a product, that does not work, isn't supported and only confuses users.

$ curl "$(hostname)/api/users" -u admin:changeme -H "Accept: application/json" -H "Content-Type: application/json" -d '{"user":{"login":"another","mail":"root@localhost","auth_source_id":1,"password":"another_gfolvwxr"}}'
{"message":"undefined method `key?' for #<JSON::Ext::Generator::State:0x007fcb6239a500>"}

Comment 2 Dominic Cleal 2014-08-26 10:09:10 UTC
Bug #1133792 tracks the v1 users API issue mentioned in comment #0.

Comment 8 David O'Brien 2016-04-18 00:48:30 UTC
Reset docs contact <> daobrien

Comment 9 Bryan Kearney 2016-07-08 20:27:46 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 11 Bryan Kearney 2017-01-06 19:16:29 UTC
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Comment 12 Bryan Kearney 2017-01-06 19:16:35 UTC
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.


Note You need to log in before you can comment on or make changes to this bug.